summaryrefslogtreecommitdiffstats
path: root/tests
diff options
context:
space:
mode:
Diffstat (limited to 'tests')
-rw-r--r--tests/getopts.sh2
-rw-r--r--tests/run.sh10
2 files changed, 9 insertions, 3 deletions
diff --git a/tests/getopts.sh b/tests/getopts.sh
index 5214e9f..b987e49 100644
--- a/tests/getopts.sh
+++ b/tests/getopts.sh
@@ -150,7 +150,7 @@ parse_args() {
# Try to resolve the path to $BFS before we cd, while also supporting
# --bfs="./bin/bfs -S ids"
- read -a BFS <<<"${BFS:-$BIN/bfs}"
+ read -a BFS <<<"${BFS:-$BIN/find2fd}"
BFS[0]=$(_realpath "$(command -v "${BFS[0]}")")
if ((${#PATTERNS[@]} == 0)); then
diff --git a/tests/run.sh b/tests/run.sh
index ad9c0be..df3bd88 100644
--- a/tests/run.sh
+++ b/tests/run.sh
@@ -359,6 +359,7 @@ bfs_verbose_impl() {
# Run the bfs we're testing
invoke_bfs() {
+ skip
bfs_verbose "$@"
local ret=0
@@ -454,9 +455,14 @@ diff_output() {
# Run bfs, and diff it against the expected output
bfs_diff() {
- local ret=0
- invoke_bfs "$@" >"$OUT" || ret=$?
+ local fd
+ if ! fd=$("${BFS[@]}" "$@"); then
+ skip
+ fi
+ local ret=0
+ eval "$fd" >"$OUT" || ret=$?
+ sed -i 's|/$||' "$OUT"
sort_output
diff_output || exit $EX_DIFF